package org.kde.koala;
import org.kde.qt.*;


/** {@link KPanelApplet} emits these signals */
public interface KPanelAppletSignals {

/** 
 Emit this signal to make the panel relayout all applets, when
 you want to change your width (horizontal panel) or
 height (vertical panel).

 The panel is going to relayout all applets based on their
 widthForHeight(int height) (horizontal panel) or
 heightForWidth(int width) (vertical panel).

 Please note that the panel may change the applets location
 if the new widthForHeight(int height) (horizontal panel) or
 heightForWidth(int width) (vertical panel) does not fit into the
 current panel layout.

*/
	void updateLayout();
	void destroyed( QObject obj );

/** 
 Request keyboard focus from the panel.

*/
	void requestFocus();
}

